Bug 439109 - [Broadcom 4.7 bug] HT1000 chip based systems getting blacklisted for msi
[Broadcom 4.7 bug] HT1000 chip based systems getting blacklisted for msi
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.6
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Andy Gospodarek
Martin Jenner
: OtherQA
Depends On:
Blocks: 311641 439110
  Show dependency treegraph
 
Reported: 2008-03-26 21:13 EDT by Anantha Subramanyam
Modified: 2014-06-29 19:00 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:28:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhel4-post.patch (3.13 KB, patch)
2008-04-08 17:47 EDT, Andy Gospodarek
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 43594 None None None Never

  None (edit)
Description Anantha Subramanyam 2008-03-26 21:13:33 EDT
Description of problem:
Following piece of code in quirks.c of RHEL4.6 code is disabling msi on all
HT1000 systems. This section of code has subsequently been refined in the later
kernels and those changes needs to be pulled into future releases.

===========================
/* The Serverworks PCI-X chipset does not support MSI. We cannot easily rely
 * on setting PCI_BUS_FLAGS_NO_MSI in its bus flags because there are actually
 * some other busses controlled by the chipset even if Linux is not aware of it.
 * Instead of setting the flag on all busses in the machine, simply disable MSI
 * globally.
 */
static void __init quirk_svw_msi(struct pci_dev *dev)
{
	pci_msi_quirk = 1;
	printk(KERN_WARNING "PCI: MSI quirk detected. pci_msi_quirk set.\n");
}
DECLARE_PCI_FIXUP_FINAL(PCI_VENDOR_ID_SERVERWORKS,
PCI_DEVICE_ID_SERVERWORKS_GCNB_LE, quirk_svw_msi);
DECLARE_PCI_FIXUP_FINAL(PCI_VENDOR_ID_SERVERWORKS,
PCI_DEVICE_ID_SERVERWORKS_HT1000_PCIX, quirk_svw_msi);

==========================================================

Version-Release number of selected component (if applicable):


How reproducible:
Run RHEL4.6 on a HT1000 based platform

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 4 Andy Gospodarek 2008-04-08 17:47:16 EDT
Created attachment 301718 [details]
rhel4-post.patch

rhel4 test patch
Comment 6 RHEL Product and Program Management 2008-04-08 18:19:23 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 Vivek Goyal 2008-04-15 14:13:07 EDT
Committed in 68.33.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 10 Chris Ward 2008-06-05 11:49:59 EDT
~~~~~~~~~~~~~~
~ Attention: ~ Feedback requested regarding this **High Priority** bug. 
~~~~~~~~~~~~~~

A fix for this issue should be included in the latest packages contained in
RHEL4.7-Snapshot1--available now on partners.redhat.com.

After you (Red Hat Partner) have verified that this issue has been addressed,
submit a comment describing the passing results of your test in appropriate
detail, along with which snapshot and package version tested. The bugzilla will
be updated by Red Hat Quality Engineering for you when this information has been
received.

If you believe this issue has not properly fixed or you are unable to verify the
issue for any reason, please add a comment describing the most recent issues you
are experiencing, along with which snapshot and package version tested. 

If you believe the bug has not been fixed, change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and bugzilla will be updated for you. 

If you need assistance accessing ftp://partners.redhat.com, please contact your
Partner Manager.

Thank you
Red Hat QE Partner Management
Comment 11 Anantha Subramanyam 2008-06-06 13:00:53 EDT
Installed RHEL4.7-Snapshot1 on a HT1000 system. Used a Gigabit network card and
confirmed that MSI is now working on HT1000 systems.
Comment 15 errata-xmlrpc 2008-07-24 15:28:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html
Comment 16 Chris Ward 2008-07-29 03:24:03 EDT
Partners, I would like to thank you all for your participation in assuring the
quality of this RHEL 4.7 Update Release. My hat's off to you all. Thanks.

Note You need to log in before you can comment on or make changes to this bug.